/***********************************************************************************************************************
 *
 * BlueBook - use live code examples in your book
 * Copyright (C) 2011-2011 by Tidalwave s.a.s.
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluebook.java.net
 * SCM: https://hg.java.net/hg/bluebook~src
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebook.configuration;

import javax.annotation.Nonnull;
import javax.xml.bind.annotation.XmlRegistry;
import it.tidalwave.bluebook.configuration.jaxb.ArtifactGroupType;
import it.tidalwave.bluebook.configuration.jaxb.ArtifactType;
import it.tidalwave.bluebook.configuration.jaxb.ConfigurationType;
import it.tidalwave.bluebook.configuration.jaxb.FileType;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 **********************************************************************************************************************/
@XmlRegistry
public class ObjectFactory extends it.tidalwave.bluebook.configuration.jaxb.ObjectFactory
  {
    @Override @Nonnull
    public ConfigurationType createConfigurationType() 
      {
        return new Configuration();
      }

    @Override @Nonnull
    public ArtifactType createArtifactType() 
      {
        return new Artifact();
      }

    @Override @Nonnull
    public FileType createFileType() 
      {
        return new File();
      }

    @Override @Nonnull
    public ArtifactGroupType createArtifactGroupType() 
      {
        return new ArtifactGroup();
      }
  }
